deepin-log-viewer (6.5.18) unstable; urgency=medium

  * chore: update the help manual (#391)

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 10 Jul 2025 20:07:44 +0800

deepin-log-viewer (6.5.17) unstable; urgency=medium

  * update translations.

 -- Liuyangming <liuyangming@uniontech.com>  Thu, 26 Jun 2025 14:20:58 +0800

deepin-log-viewer (6.5.16) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 14:40:56 +0800

deepin-log-viewer (6.5.15) unstable; urgency=medium

  * update translations.

 -- Liuyangming <liuyangming@uniontech.com>  Mon, 23 Jun 2025 11:52:38 +0800

deepin-log-viewer (6.5.14) unstable; urgency=medium

  * chore: Add compile flags for deepin-log-viewer

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 21:50:45 +0800

deepin-log-viewer (6.5.13) unstable; urgency=medium

  * add compile flags.  

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 18 Jun 2025 11:20:55 +0800

deepin-log-viewer (6.5.12) unstable; urgency=medium

  * Update deepin-manual resources. 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 17 Jun 2025 17:24:38 +0800

deepin-log-viewer (6.5.11) unstable; urgency=medium

  * update version to 6.5.11
  * Add linglong desktop file path.

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 25 Apr 2025 17:10:21 +0800

deepin-log-viewer (6.5.10) unstable; urgency=medium

  * chore: update desktop file
  * chore: update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 10:44:49 +0800

deepin-log-viewer (6.5.9) unstable; urgency=medium

  * chore: New version 6.5.9.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 27 Mar 2025 13:42:54 +0800

deepin-log-viewer (6.5.8) unstable; urgency=medium

  * chore: New version 6.5.8.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 14 Feb 2025 09:17:33 +0800

deepin-log-viewer (6.5.7) unstable; urgency=medium

  * chore: New version 6.5.7.
  * fix: Fix can not get any logs issue

 -- re2zero <yangwu@uniontech.com>  Sat, 08 Feb 2025 15:51:30 +0800

deepin-log-viewer (6.5.6) unstable; urgency=medium

  * chore: New version 6.5.6.
  * feat: Support Qt6 build.

 -- re2zero <yangwu@uniontech.com>  Mon, 20 Jan 2025 16:30:43 +0800

deepin-log-viewer (6.5.5) unstable; urgency=medium

  * chore: New version 6.5.5.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 16 Jan 2025 13:23:42 +0800

deepin-log-viewer (6.5.4) unstable; urgency=medium

  * treeland start app crash 

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 13 Dec 2024 17:12:28 +0800

deepin-log-viewer (6.5.3) unstable; urgency=medium

  * fix: [cmd] Remove bash command invoke and DBus security reinforcement(Task: 362319)
  * fix: fix 3 security vulnerabilities(Bug: 278915)
  * fix: fix compile problem(Bug: 278915)
  * chore: [security] strong the dbus interface(Task: 365257)
  * fix: fix boot log no content problem(Bug: 278915)
  * fix: Fixed the issue of repeatedly popping up authentication windows when exporting logs(Bug: 278819)
  * fix: Fixed the issue of repeatedly popping up authentication windows when exporting logs 2nd(Bug: 278819)
  * fix: Fixed the issue of multiple authentication windows popping up in audit logs(Bug: 281209)
  * fix: Fixed the issue of multiple authentication windows popping up for certain types(Bug: 281209)
  * fix: [theme] Resolve the issue of incorrect color display when switching themes on the log details page(Bug: 281647)
  * fix: [ts] Xorg log offset international translation copywriting adjustment
  * fix: Security reinforcement only authentication(TWB)

 -- renbin <renbin@uniontech.com>  Sat, 07 Dec 2024 12:04:01 +0800

deepin-log-viewer (6.5.2) unstable; urgency=medium

  * adapt compact mode 

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 08 Nov 2024 13:49:23 +0800

deepin-log-viewer (6.5.1) unstable; urgency=medium

  * remove kwayland-shell env 

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 06 Nov 2024 17:17:32 +0800

deepin-log-viewer (6.5.0) unstable; urgency=medium

  * chore: Code format organization
  * fix: Fix the issue of upgrade failure after enabling level protection(Bug: 258569)
  * fix: Fix crashes when there is no permission to view other logs(Bug: 266019)
  * fix: DBus calls authentication adds MNT check
  * feat: adapt treeland(Influence: Treeland)
  * fix: out-of-bounds access error

 -- renbin <renbin@uniontech.com>  Wed, 21 Aug 2024 15:34:48 +0800

deepin-log-viewer (6.1.18) unstable; urgency=medium

  * feat: Segmented export supports doc and xls formats for export
  * fix: Fix the issue of progress bar not displaying progress(Bug: 251937)
  * feat: Crash report content optimization(Task: 10320240422)
  * fix: Fix two security vulnerabilities(Bug: 253967)
  * fix: Optimized file reading speed
  * fix: Fix issues with abnormal search functionality
  * fix: fix compile problem on longarrch
  * fix: Security vulnerability reinforcement
  * fix: remove /bin/bash in service if necessary
  * fix: UI interface in English(Bug: 256789)
  * fix: The "level" on the page is displayed as "level"(Bug: 260291)

 -- houchengqiu <houchengqiu@uniontech.com>  Tue, 18 Jun 2024 16:00:41 +0800

deepin-log-viewer (6.1.17) unstable; urgency=medium

  * perf: Optimization of kernel/window management log memory usage
  * fix: Optimize search functionality
  * fix: Fix the issue of repeatedly popping up authentication windows(Bug: 251521)
  * fix: Fix the issue of segment export not being able to be cancelled(Bug: 251515)
  * fix: Refinement of kernel log segmentation export and cancellation of authentication logic(Bug: )
  * fix: Search function optimization 2nd && add logs

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 19 Apr 2024 13:22:11 +0800

deepin-log-viewer (6.1.16) unstable; urgency=medium

  * fix: The coredump reporter service switches from system mode to user mode
  * fix: Repair failed in building with a 64-bit time_t on a 32-bit(Bug: 250313)

 -- lijiaxuan <lijiaxuan@uniontech.com>  Fri, 12 Apr 2024 17:19:11 +0800

deepin-log-viewer (6.1.15) unstable; urgency=medium

  * feat: kwin crash log buried point report(Task: 330013)
  * chore: adjust coredump report interval
  * fix: Correction of abnormal last reporting time

 -- houchengqiu <houchengqiu@uniontech.com>  Thu, 21 Mar 2024 16:21:59 +0800

deepin-log-viewer (6.1.14) unstable; urgency=medium

  * fix: Fix the issue of filter option filtering without content when there is only one submodule(Bug: 244901)
  * fix: Delete dump temporary file from service backend(Bug: 241927)
  * fix: Remove the. config directory from the root directory(Bug: 244995)

 -- houchengqiu <houchengqiu@uniontech.com>  Wed, 13 Mar 2024 15:00:43 +0800

deepin-log-viewer (6.1.13) unstable; urgency=medium

  * fix: Resolve the issue of adding sudo not being able to export logs(Bug: 238985)
  * chore: [TS] Update international translation files(Bug: 193739)
  * fix: Resolve the issue of Sudo export logs being empty(Bug: 238985)
  * fix: Fix the issue of parent directory permissions being changed during export
  * fix: Unzip may overwrite linked file data(Bug: 243387)
  * fix: fix app name can not show chinese

 -- houchengqiu <houchengqiu@uniontech.com>  Thu, 22 Feb 2024 13:44:46 +0800

deepin-log-viewer (6.1.12) unstable; urgency=medium

  * fix: Add -v option version info(Bug: 236241)
  * fix: Adapt to the type of PGX log display(Bug: 240851)

 -- houchengqiu <houchengqiu@uniontech.com>  Thu, 01 Feb 2024 14:09:32 +0800

deepin-log-viewer (6.1.11) unstable; urgency=medium

  * fix: modify debug-config json

 -- houchengqiu <houchengqiu@uniontech.com>  Mon, 15 Jan 2024 14:10:59 +0800

deepin-log-viewer (6.1.10) unstable; urgency=medium

  * chore: Update version 6.1.10

 -- houchengqiu <houchengqiu@uniontech.com>  Thu, 11 Jan 2024 10:30:32 +0800

deepin-log-viewer (6.1.9) unstable; urgency=medium

  * feat: Log specification adaptation 2nd
  * feat: Log specification adaptation 2nd- merge export
  * fix: Resolve the issue of JSON configuration not being able to control application visibility(Bug: 237801)
  * feat: Debug mode log adaptation
  * fix: Resolve the issue of blank items in the application list(Bug: 237785)
  * feat: add package version information on crash burial point(Bug: 236991)
  * fix: Change the JSON visible field to 0 in debugging mode configuration(Bug: 238925)
  * fix: Fix the issue where using the - d parameter - m cannot export logs(Bug: 238967)

 -- houchengqiu <houchengqiu@uniontech.com>  Wed, 10 Jan 2024 11:46:04 +0800

deepin-log-viewer (6.1.8) unstable; urgency=medium

  * fix: Fix security vulnerabilities introduced by LD_PRELOAD 2nd(Bug: 234125)
  * chore: Optimization of output path whitelist inspection methods(Bug: 236471)

 -- houchengqiu <houchengqiu@uniontech.com>  Mon, 25 Dec 2023 17:17:00 +0800

deepin-log-viewer (6.1.7) unstable; urgency=medium

  * fix: Fix security vulnerabilities introduced by LD_PRELOAD(Bug: HW23-1232)
  * feat: Rectification of DBus security coding standards
  * fix: systemd service add memory limits 8G
  * fix: coredump map info only parsed in report coredump(Bug: 233653)
  * chore: Code review issue modification
  * fix: Resolve the issue of incomplete display of crash logs(Bug: 234131)

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 22 Dec 2023 13:21:34 +0800

deepin-log-viewer (6.1.6) unstable; urgency=medium

  * fix: clear qt warning logs
  * fix: Fix the issue of incomplete acquisition of file base names(Bug: 228425)
  * feat: report coredump add stackinfo
  * fix: not get core file maps (#237)
    Thanks to groveer
  * fix: Resolve the issue of failure to obtain stack maps address for crash information

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 30 Nov 2023 17:49:19 +0800

deepin-log-viewer (6.1.5) unstable; urgency=medium

  * fix: Adjust the display rules of application names in the application list(Bug: 223969)
  * feat: Rich command line export function
  * feat: Command line export by condition
  * fix: Remove command authentication
  * fix: CLI export type logs to diretory(Bug: 225107)
  * fix: CLI export return correct errcode(Bug: 225365)
  * fix: fix export specify app log failed problem(Bug: 225077)
  * fix: fix cli export kwin log failed problem(Bug: 225427)
  * fix: ix cli export to no-write dir can not quit(Bug: 225553)
  * fix: Add validity verification of cli export level parameters(Bug: 225567)
  * fix: fix cli export app by keyword failed(Bug: 225573)
  * fix: fix cli export '-e' parameter is required option
  * fix: cli export -k can obtain parameters with spaces(Bug: 225795)
  * fix: fix cli export audit log other bug contain MAC audit type log(Bug: 225793)
  * fix: Resolve the issue of differences in content after changing audit log filtering criteria(Bug: 225791)
  * feat: CLI export type log folder name with timestamp
  * fix: Solve the problem of audit failure with keywords when exporting in cli
  * fix: Improve the validity verification and judgment logic of cli export conditions
  * fix: cli export -t&-d option cannot use together(Bug: 226569)
  * fix: CLI export app log only export app log file(Bug: 226589)
  * chore: Improve cli export input prompts(Bug: 226623)
  * fix: Fix the issue of exporting the boot log as empty by level in cli(Bug: 226673)
  * fix: fix journal app log can't show by period(Bug: 226727)
  * feat: add report coredump feature(Task: 31473)
  * fix: Fix the issue of no data in today's audit log exported by cli(Bug: 227109)
  * fix: Coredump report time use is recorded by Dconfig/gsettings(Bug: 227219)
  * fix: Fix the issue where restarting the machine after resetting the reportTime will immediately be modified(Bug: 227597)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Nov 2023 14:50:49 +0800

deepin-log-viewer (6.1.4) unstable; urgency=medium

  * Fix the issue of low version iso app log not being displayed

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 18 Oct 2023 14:40:27 +0800

deepin-log-viewer (6.1.3) unstable; urgency=medium

  * feat: Adaptation log specification rectification(Task: 292081)
  * feat: Add journal type app log feature(Task: 292083)
  * fix: fix app list can not show/export logs
  * feat: Rectification of log specification adaptation compatibility(Task: 296703)
  * feat: add app log category
  * fix: fix journal app can not show problems
  * chore: Change app log category name
  * chore: Update REUSE date

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 17 Oct 2023 10:47:08 +0800

deepin-log-viewer (6.1.2) unstable; urgency=medium

  * fix: Fix the issue of successfully exporting read-only file directories(Bug: 217957)
  * fix: Command line export add authentication window(Bug: 218757)
  * fix: Add pkexec to implement command line export authentication(Bug: 218757)
  * fix: Fix the issue of missing 'apps' directory in command line export(Bug: 219629)
  * fix: Command line export initializes homePath first(Bug: 219629)
  * fix: Fix UI - issue of all export failures
  * fix: Application data directory requires permission to create tmp directory

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 17 Oct 2023 10:17:05 +0800

deepin-log-viewer (6.1.1) unstable; urgency=medium

  * fix: fix coredump logs show is not complete(Bug: 217023)
  * fix: fix export coredump logs failed(Bug: 217019)
  * feat: add accessible labels

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 31 Aug 2023 16:02:33 +0800

deepin-log-viewer (6.1.0) unstable; urgency=medium

  * fix: modify audit rule
  * feat: collect crash log(Task: 279017)
  * fix: fix review problems
  * feat: add command -e option(support export all)
  * fix: cli run in the single instance
  * feat: export all-add subdirectory
  * chore: update Ts
  * feat: export all-support export coredump files
  * fix: cli run in the single instance
  * fix: fix export name not update to current time
  * feat: other logs add kwin logs
  * fix: other log and custom log add search feature
  * fix: fix 1042 build fail
  * fix: fix kwin logs can't show content
  * feat: xorg log column datetime change to offset
  * fix: export all-directory other change to others

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 03 Aug 2023 16:36:26 +0800

deepin-log-viewer (6.0.10) unstable; urgency=medium

  * Update version to 6.0.10
  * feat: Huawei type adapter DConfig (#155)
    Thanks to hundundadi(Task: 276433)
  * feat: Huawei type adapter DConfig (#156)
    Thanks to hundundadi(Task: 276433)
  * feat: Add level protection level 4 - the audit log

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 19 Jul 2023 11:32:06 +0800

deepin-log-viewer (6.0.9) unstable; urgency=medium

  * chore: 【MD】更新帮助文案 (#151)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 24 May 2023 14:10:52 +0800

deepin-log-viewer (6.0.8) unstable; urgency=medium

  * fix: 修复获取内核日志读取卡住，展示空白的问题(Bug: 198137)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 09 May 2023 17:39:35 +0800

deepin-log-viewer (6.0.7) unstable; urgency=medium

  * Update version

 -- wangzhengyang <wangzhengyang@uniontech.com>  Thu, 30 Mar 2023 15:47:53 +0800

deepin-log-viewer (6.0.6) unstable; urgency=medium

  * Update version

 -- wangzhengyang <wangzhengyang@uniontech.com>  Fri, 10 Mar 2023 10:57:30 +0800

deepin-log-viewer (6.0.5) unstable; urgency=medium

  * Fix RPM build

 -- wangzhengyang <wangzhengyang@uniontech.com>  Tue, 7 Mar 2023 10:45:40 +0800

deepin-log-viewer (6.0.4) unstable; urgency=medium

  * Fix no help menu

 -- wangzhengyang <wangzhengyang@uniontech.com>  Tue, 21 Feb 2023 13:40:59 +0800

deepin-log-viewer (6.0.3) unstable; urgency=medium

  * Add new tag

 -- wangzhengyang <wangzhengyang@uniontech.com>  Thu, 16 Feb 2023 15:12:59 +0800

deepin-log-viewer (6.0.2) unstable; urgency=medium

  * Merge version to 6.0.2
  * Add other log and custom log type

 -- wangzhengyang <wangzhengyang@uniontech.com>  Tue, 14 Feb 2023 15:12:59 +0800

deepin-log-viewer (6.0.1) unstable; urgency=medium

  * Initial for Deepin V23

 -- unknown <houchengqiu@uniontech.com>  Mon, 16 Jan 2023 16:57:59 +0800

deepin-log-viewer (5.9.15) unstable; urgency=medium

  * New version 5.9.15

 -- lichunlong <lichunlong@uniontech.com>  Thu, 5 Jan 2023 17:30:00 +0800

deepin-log-viewer (5.9.14) unstable; urgency=medium

  * New version 5.9.14

 -- lichunlong <lichunlong@uniontech.com>  Thu, 5 Jan 2023 16:00:00 +0800

deepin-log-viewer (5.2.0) unstable; urgency=medium

  * Initial release

 -- unknown <zs@zs-PC.com>  Thu, 17 Oct 2019 16:57:59 +0800

